
QGIS Application - Bug report #9057

label background with offset value misplaced when exporting qgis composer to image

2013-11-12 06:47 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17705

Description

Steps to reproduce:

1. Open the attached project

2. Open the label property of the vector layer, go in the background section, and notice the offset Y value is set to 1

3. Close the label property, and open 'Composer 1' 

4. Export the composer to an image

5. Open the image to witness the label background wrongly placed way below the label

I'm also attaching a qgis main canvas vs exported screenshot, which shows the good (saveas_maincanvas.jpg) vs bad

(exported_composer.jpg) placement.

Associated revisions

Revision 7e33fdec - 2014-02-22 06:47 AM - Larry Shaffer

Fix #9057, offset value misplaced when exporting composer to image

- Add unit test and control images

History

#1 - 2014-02-21 09:55 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"7e33fdec37c52bd3428c8a1c5324874fa201ba17".

Files

shielfoffset_issue.zip 4.96 KB 2013-11-12 Mathieu Pellerin - nIRV

saveas_maincanvas.jpg 18 KB 2013-11-12 Mathieu Pellerin - nIRV

exported_composer.jpg 141 KB 2013-11-12 Mathieu Pellerin - nIRV

2025-04-27 1/1


